AIM-CUE

$249.99
SKU:
SKU-2491

Cisco AIM-CUE Cisco AIM-CUE Unity Express Voicemail Module 

Includes Mounting Kit

  • Cisco 2600XM, Cisco 2650XM, Cisco 2651XM, Cisco 2691 having minimum IOS 12.3(7)T
  • Cisco 2801,Cisco 2811, Cisco 2821, Cisco 2851 having minimum IOS 12.3(8)T4
  • Cisco 3725, Cisco 3745 having minimum IOS 12.3(7)T
  • Cisco 3825, Cisco 3845 having minimum IOS 12.3(11)T